#!/bin/sh

set -e

# ./clean.sh; zip -r ../compiling.zip .

gcc -Wall -Wpedantic -std=c17 -march=haswell -c helpers.c
gcc -Wall -Wpedantic -std=c17 -march=haswell -c program.c
gcc program.o helpers.o -o program

cpp -E helpers.c -o helpers.i
cpp -E program.c -o program.i
gcc -Wall -Wpedantic -std=c17 -march=haswell -S helpers.i
gcc -Wall -Wpedantic -std=c17 -march=haswell -S program.i
as -o helpers.o helpers.s
as -o program.o program.s
ld -lc program.o helpers.o -o program /usr/lib/x86_64-linux-gnu/crt1.o --dynamic-linker /lib64/ld-linux-x86-64.so.2

clang -E helpers.c -o helpers.i
clang -E program.c -o program.i
clang -Wall -Wpedantic -std=c17 -march=haswell -S helpers.i
clang -Wall -Wpedantic -std=c17 -march=haswell -S program.i
clang -c helpers.s
clang -c program.s
clang program.o helpers.o -o program
